Bug 218574 - Review Request: perl-Net-SNPP - Perl modules for the Simple Network Pager Protocol
Review Request: perl-Net-SNPP - Perl modules for the Simple Network Pager Pro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-05 23:38 EST by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 08:20:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-12-05 23:38:46 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/perl-Net-SNPP-1.17-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/perl-Net-SNPP-1.17-1.fc6.src.rpm
Description:

Perl client and server modules for the Simple Network Pager Protocol,
as described in RFC 1861.

(Annoyed Grunt) Misspelled modules in the summary - will fix upon import or the next package rev, whichever comes first...
Comment 1 Parag AN(पराग) 2006-12-06 10:33:52 EST
preliminary review
rpmlint is silent
ok summary can be changed at time of importing a package.
will do Full review tomorrow.
Comment 2 Parag AN(पराग) 2006-12-07 02:23:03 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
18f61a774906cd27ca14dcbf311e6bf0  Net-SNPP-1.17.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used and its result in mock build is
 All tests successful.
 Files=2, Tests=16,  0 wallclock secs ( 0.12 cusr +  0.03 csys =  0.15 CPU)
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 3 Jeffrey C. Ollie 2006-12-07 08:20:13 EST
Thanks for the review!  Fixed the summary, imported and built for development.

Note You need to log in before you can comment on or make changes to this bug.